return require('packer').startup(function(use)
	use 'wbthomason/packer.nvim'
	use 'nvim-lua/plenary.nvim'
	use 'neovim/nvim-lspconfig'
	use {
		'hrsh7th/nvim-cmp',
		requires = {
			'hrsh7th/cmp-nvim-lsp',
			'hrsh7th/cmp-buffer',
			'hrsh7th/cmp-path',
			'hrsh7th/cmp-vsnip',
			'hrsh7th/vim-vsnip',
		},
		config = function()
			require 'plugins.cmp'
		end
	}
  use {
    'nvim-lualine/lualine.nvim',
    config = function()
      require 'plugins.lualine'
    end
  }
	use {
		'nvim-treesitter/nvim-treesitter',
		run = ':TSUpdate',
		config = function()
			require 'plugins.treesitter'
		end
	}
	use {
		'nvim-telescope/telescope.nvim',
		config = function()
			require 'plugins.telescope'
		end
	}
	use {
		'nvim-tree/nvim-tree.lua',
		config = function()
			require 'plugins.tree'
		end
	}
	use 'nvim-tree/nvim-web-devicons'
	if packer_bootstrap then
		require('packer').sync()
	end
end)
